<!DOCTYPE html>
<html>
<!-- Test : http://localhost:9..2/cds.html -->
<head>
<meta charset="utf-8">
<title>Médiathèque : Les CDs</title>
</head>
<body>

	<p>
		<input type="button" value="lire tout" id="btLire">
	</p>
	<table id="taCds">
	</table>



	<script>
	let btLire = document.getElementById("btLire")
	let taCds = document.getElementById("taCds")
	btLire.addEventListener("click", function() {
		btLire.disabled = true
		let xhr = new XMLHttpRequest()
			<!-- GET pour la lecture -->
			xhr.open("GET","http://localhost:9002/json/cd")
			xhr.onreadystatechange = function () {
				// 200 = ok
				// 4 = réponse reçue
				if(this.status == 200 && this.readyState==4){
					console.log("Réponse reçue : "+this.responseText)
					let cds = JSON.parse(this.responseText)
					let html = ""
						html += "<tr>"
					html += "<th>Titre</th>"
					html += "<th>Artiste</th>"
					html += "<th>Année</th>"
						html += " </tr>"
					for (let cd of cds) {
						html += "<tr><td>"+cd["titre"]+"</td>"
						html += "<td>"+cd["artiste"]+"</td>"
						html += "<td>"+cd["annee"]+"</td></tr>"
					}
					taCds.innerHTML = html
				}
			}		
			xhr.send() // mettre les données dans les parenthèses
			//exemple : xhr.send (JSON.stringgify(monCD))
	})
	
	
	
	</script>
</body>
</html>